Bug 69578 - Web Inspector: rename Layout to Reflow
Summary: Web Inspector: rename Layout to Reflow
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Trivial
Assignee: Paul Irish
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-06 15:57 PDT by Paul Irish
Modified: 2013-01-31 17:20 PST (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Irish 2011-10-06 15:57:34 PDT
These days a "reflow" is the defacto term for what the WebKit codebase terms a "layout":

http://code.google.com/speed/articles/reflow.html
http://code.google.com/p/css-reflow-timer/
http://www.stubbornella.org/content/2009/03/27/reflows-repaints-css-performance-making-your-javascript-slow/
http://www.slideshare.net/lsimon/go-with-the-reflow
http://www.phpied.com/the-new-game-show-will-it-reflow/
http://www.browserscope.org/reflow/about

I think it would provide more clarity to developers to adopt the common vernacular.

In the timeline view, I'd love to see the inspector use the term "Reflow" for those events.
Comment 1 Paul Irish 2013-01-31 17:20:22 PST
I think the balance has swung the other way. "Layout" is pretty accepted these days, and also accurately named. 
I'm happy to proceed with this term.